SFML 3.1.0
Loading...
Searching...
No Matches
Classes | Namespaces
SoundStream.hpp File Reference
`#include <SFML/Audio/Export.hpp>`
`#include <SFML/Audio/SoundChannel.hpp>`
`#include <SFML/Audio/SoundSource.hpp>`
`#include <SFML/System/Time.hpp>`
`#include <memory>`
`#include <optional>`
`#include <vector>`
`#include <cstddef>`
`#include <cstdint>`

Go to the source code of this file.

## Classes
class | sf::SoundStream
| Abstract base class for streamed audio sources. More...
struct | sf::SoundStream::Chunk
| Structure defining a chunk of audio data to stream. More...

## Namespaces
namespace | sf